<?php
/**
 * The setting view file of kingdee module of ZDOO.
 *
 * @copyright   Copyright 2009-2018 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPL (http://zpl.pub/page/zplv12.html)
 * @author      Tingting Dai <daitingting@xirangit.com>
 * @package     kingdee
 * @version     $Id$
 * @link        http://www.zdoo.com
 */
?>
<?php include '../../common/view/header.html.php';?>
<div class='panel'>
  <div class='panel-heading'><strong><?php echo $lang->kingdee->setting;?></strong></div>
  <div class='panel-body'>
    <form id='ajaxForm' method='post'>
      <table class='table table-form w-p50'>
        <tr>
          <th class='w-80px'><?php echo $lang->kingdee->taxRate;?> </th>
          <td class='w-200px'>
            <div class='input-group'>
              <?php echo html::input('taxRate', !empty($this->config->kingdee->voucher->taxRate) ? $this->config->kingdee->voucher->taxRate : '', "class='form-control'");?>
              <span class='input-group-addon'><?php echo $lang->percent;?></span>
            </div>
          </td>
          <td></td>
        </tr>
        <tr>
          <th><?php echo $lang->kingdee->maxInvoiceMoney;?> </th>
          <td><?php echo html::input('maxInvoiceMoney', !empty($this->config->kingdee->voucher->maxInvoiceMoney) ? $this->config->kingdee->voucher->maxInvoiceMoney : '', "class='form-control'");?></td>
          <td></td>
        </tr>
        <tr>
          <th></th>
          <td class='form-actions'><?php echo html::submitButton();?></td>
          <td></td>
        </tr>
      </table>
    </form>
  </div>
</div>
<?php include '../../common/view/footer.html.php';?>
