<?php
/**
 * The create lane view file of kanban module of ZDOO.
 *
 * @copyright   Copyright 2009-2020 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPL (http://zpl.pub/page/zplv12.html)
 * @author      Gang Liu <liugang@easycorp.ltd>
 * @package     kanban
 * @version     $Id$
 * @link        http://www.zdoo.com
 */
?>
<form id='createColumnForm' method='post' action='<?php echo inlink('createColumn', "columnID=$column->id&position=$position");?>'>
  <table class='table table-form'>
    <tr>
      <th class="w-120px"><?php echo $lang->kanbancolumn->name;?></th>
      <td>
        <div class='required required-wrapper'></div>
        <?php echo html::input('name', '', "class='form-control'");?>
      </td>
    </tr>
    <tr class='child-column'>
      <th><?php echo $lang->kanban->WIP;?></th>
      <td>
        <div class='required required-wrapper'></div>
        <div class='input-group'>
          <?php echo html::number('limit', '', "min='1' class='form-control'" . ($column->limit ? '' : "readonly"));?>
          <span class='input-group-addon'>
            <label class='checkbox-inline'>
              <input type='checkbox' name='unlimited' id='unlimited' value='1' <?php if(!$column->limit) echo "checked";?>/> <?php echo $this->lang->kanban->unlimited;?>
            </label>
          </span>
        </div>
      </td>
    </tr>
    <tr>
      <th><?php echo $lang->kanbancolumn->color;?></th>
      <td><div id='color-picker'></div></td>
    </tr>
    <tr>
      <th></th>
      <td class='form-actions'>
        <?php echo html::hidden('color', '#272E33');?>
        <?php echo html::hidden('group', $column->group);?>
        <?php echo html::hidden('parent', $column->parent);?>
        <?php echo html::submitButton();?>
        <?php echo html::commonButton($lang->cancel, 'btn', "data-dismiss='modal'");?>
      </td>
    </tr>
  </table>
</form>
<?php include '../../../sys/common/view/footer.modal.html.php';?>
