<?php
/**
 * The edit lane view file of kanban module of ZDOO.
 *
 * @copyright   Copyright 2009-2021 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPL (http://zpl.pub/page/zplv12.html)
 * @author      Tingting Dai <daitingting@xirangit.com>
 * @package     kanban 
 * @version     $Id$
 * @link        http://www.zdoo.com
 */
?>
<?php include '../../../sys/common/view/header.modal.html.php';?>
<form id='editLaneForm' method='post' action='<?php echo inlink('editLane', "laneID={$lane->id}");?>'>
  <table class='table table-form'>
    <tr>
      <th class="w-80px"><?php echo $lang->kanbanlane->name;?></th>
      <td>
        <div class='required required-wrapper'></div>
        <?php echo html::input('name', $lane->name, "class='form-control'");?>
      </td>
    </tr>
    <tr>
      <th><?php echo $lang->kanbanlane->color;?></th>
      <td>
        <div id='color-picker'></div>
        <?php echo html::input('color', $lane->color ? $lane->color : '#3DC6FD', "class='hidden'");?>
      </td>
    </tr>
    <tr>
      <th></th>
      <td class='form-actions'>
        <?php echo html::submitButton();?>
        <?php echo html::commonButton($lang->cancel, 'btn', "data-dismiss='modal'");?>
      </td>
    </tr>
  </table>
</form>
<?php include '../../../sys/common/view/footer.modal.html.php';?>
